#include <stdio.h>

void saisirTab(int tab[],int length){
  int i;
  for(i=0;i<length;i++){
    printf("%d > ",i);
    scanf("%d",&tab[i]);
  }
}

void afficheTab(int tab[],int length){
  int i;
  printf("=> [");
  if(length==0){
    printf("]");
  }
  else{
    printf("\033[32m%d\033[0m",tab[0]);
    for(i=1;i<length;i++){
      printf(",\033[32m%d\033[0m",tab[i]);
    }
    printf("]");
    tab[0]=0;
  } 
}

void sommeTab(int tab[],int length){
  int somme=0;
  int i;
  for(i=0;i<length;i++){
    somme+=tab[i];
  }
  printf("=> La somme est %d\n",somme);
}

int max(int a,int b){
  if(a>b){
    return a;
  }
  else{
    return b;
  }
}
				
void maxTab(int tab[],int length){
  if(length==0){
    printf("=> \033[31mErreur\33[30m Le tableau doit avoir au moins un element\n");
  }
  else{
    int i;
    int m=tab[0];
    for(i=1;i<length;i++){
      m=max(m,tab[i]);
    }
    printf("=> Le maximum est : %d\n",m);
  }
}

int menu(){
  int choix;
  do{
     printf("\n Choix possible :\n");
     printf("\033[35m1\033[0m -> Saisir les elements\n");
     printf("\033[35m2\033[0m -> Afficher le tableau\n");
     printf("\033[35m3\033[0m -> Calculer la somme des elements\n");
     printf("\033[35m4\033[0m -> Rechercher le max des elements\n");
     printf("\033[35m5\033[0m -> Quitter\n");
     printf("\nQue voulez-vous faire ? ");
     scanf(" %d",&choix);
  }while(choix<1 || choix>5);
   return choix;
}


int main(void){
  int saisi=0;
  int n;
  printf("Taille du tableau : ");
  scanf("%d",&n);
  int tab[n];
  int choix;
  do{
    printf("\n");
    choix=menu();
    if(choix==1){
      saisirTab(tab,n);
      saisi=1;
    }
    else{
      if(saisi==0){
	printf("Tableau non saisi !!!\n");
      }
      else{
	if(choix==2){
	  afficheTab(tab,n);
	}
	if(choix==3){
	  sommeTab(tab,n);
	}
	if(choix==4){
	  maxTab(tab,n);
	} 
      }
    }
  }
  while(choix!=5);
}
  
